SellAuth

Shipping Zones

Get Shipping Zones

Retrieves the shipping zones for a shop.

GET
/v1/shops/{shopId}/shipping-zones

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/shipping-zones" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Create Shipping Zone

Creates a new shipping zone.

POST
/v1/shops/{shopId}/shipping-zones

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Must not be greater than 255 characters.

priceRequirednumber

Must be at least 0. Must not be greater than 99999.

currencyRequiredstring

Must be 3 characters.

countriesRequiredarray<string>

Must be 2 characters.

free_shipping_thresholdnumber

Must be at least 0. Must not be greater than 99999.

Path Parameters

shopIdRequiredinteger

The shop ID.

curl -X POST "https://api.sellauth.com/v1/shops/{shopId}/shipping-zones" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "pasyzwszwtxpeqq",
    "price": 9,
    "currency": "kym",
    "countries": [
      "wk"
    ],
    "free_shipping_threshold": 8
  }'

Get Shipping Zone

Retrieves a specific shipping zone.

GET
/v1/shops/{shopId}/shipping-zones/{zoneId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

zoneIdRequiredinteger

The shipping zone ID.

curl -X GET "https://api.sellauth.com/v1/shops/{shopId}/shipping-zones/{zoneId}" \
  -H "Authorization: Bearer <token>"

{
  "message": "Unauthenticated."
}

Delete Shipping Zone

Deletes a specific shipping zone.

DELETE
/v1/shops/{shopId}/shipping-zones/{zoneId}

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Path Parameters

shopIdRequiredinteger

The shop ID.

zoneIdRequiredinteger

The shipping zone ID.

curl -X DELETE "https://api.sellauth.com/v1/shops/{shopId}/shipping-zones/{zoneId}" \
  -H "Authorization: Bearer <token>"

Update Shipping Zone

Updates a specific shipping zone.

PUT
/v1/shops/{shopId}/shipping-zones/{zoneId}/update

Authorization

AuthorizationRequiredBearer <token>

You can retrieve your API key by visiting your dashboard and clicking Account > API.

In: header

Request Body

application/jsonRequired
nameRequiredstring

Must not be greater than 255 characters.

priceRequirednumber

Must be at least 0. Must not be greater than 99999.

currencyRequiredstring

Must be 3 characters.

countriesRequiredarray<string>

Must be 2 characters.

free_shipping_thresholdnumber

Must be at least 0. Must not be greater than 99999.

Path Parameters

shopIdRequiredinteger

The shop ID.

zoneIdRequiredinteger

The shipping zone ID.

curl -X PUT "https://api.sellauth.com/v1/shops/{shopId}/shipping-zones/{zoneId}/update" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "pasyzwszwtxpeqq",
    "price": 9,
    "currency": "kym",
    "countries": [
      "wk"
    ],
    "free_shipping_threshold": 8
  }'